petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoLineSearchReset

Some line searches may carry state information from one TaoLineSearchApply() to the next. This function resets this state information.

### Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchReset(TaoLineSearch ls)

Collective on TaoLineSearch Many br

### Input Parameter

ls - the TaoLineSearch context Many br

Many br

### See Also

TaoLineSearchCreate(), TaoLineSearchApply()

Level:developer
Location:src/tao/linesearch/interface/taolinesearch.c
Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages